IBM Support

Security Bulletin: Vulnerability in IBM WebSphere Application Server Affects IBM Emptoris Sourcing, IBM Emptoris Contract Management, IBM Emptoris Spend Analysis, IBM Emptoris Program Management and IBM Emptoris Service Procurement (CVE-2017-1731)

Security Bulletin


Summary

The IBM Emptoris Sourcing, IBM Emptoris Contract Management, IBM Emptoris Spend Analysis, IBM Emptoris Program Management and IBM Emptoris Service Procurement products are affected by a vulnerability that exists in the IBM WebSphere Application Server. The security bulletin includes issues disclosed as part of the IBM WebSphere Application Server updates.

Vulnerability Details

CVEID: CVE-2017-1731
DESCRIPTION:
IBM WebSphere Application Server could provide weaker than expected security when using the Administrative Console. An authenticated remote attacker could exploit this vulnerability to possibly gain elevated privileges.
CVSS Base Score: 8.8
CVSS Temporal Score: See https://exchange.xforce.ibmcloud.com/vulnerabilities/134912 for the current score
CVSS Environmental Score*: Undefined
CVSS Vector: (CVSS:3.0/AV:N/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H)

Affected Products and Versions

IBM Emptoris Sourcing 10.0.0 through 10.1.3.12
IBM Emptoris Contract Management 10.0.0 through 10.1.3.12
IBM Emptoris Spend Analysis 10.0.0 through 10.1.3.12
IBM Emptoris Program Management 10.0.0 through 10.1.3.12
IBM Emptoris Services Procurement 10.0.0 through 10.1.1.0

Remediation/Fixes

An interim fix has been issued for the IBM WebSphere Application Server (WAS) which addresses this vulnerability. Customers running any of the IBM Emptoris products listed below should apply the interim fix to all IBM WebSphere Application Server installations that are used to run IBM Emptoris applications. Please refer to Security Bulletin: Information disclosure in WebSphere Application Server (CVE-2017-1731) for details.

Select the appropriate WebSphere Application Server fix based on the version being used for IBM Emptoris product version. The following table lists the IBM Emptoris application versions along with the corresponding required version of IBM WebSphere Application Server and a link to the corresponding fix version where further installation instructions are provided.

Emptoris Product Version
WAS Version
Interim Fix
10.0.0.x, 10.0.1.x 8.5.0.x Apply Interim Fix PI89498  
10.0.2.x ,
10.0.4
8.5.5.x
10.1.x 8.5.5.x

Workarounds and Mitigations

None

Get Notified about Future Security Bulletins

References

Complete CVSS v3 Guide
On-line Calculator v3

Related information

IBM Secure Engineering Web Portal
IBM Product Security Incident Response Blog

Change History

9 April 2018: Original version published

*The CVSS Environment Score is customer environment specific and will ultimately impact the Overall CVSS Score. Customers can evaluate the impact of this vulnerability in their environments by accessing the links in the Reference section of this Security Bulletin.

Disclaimer

According to the Forum of Incident Response and Security Teams (FIRST), the Common Vulnerability Scoring System (CVSS) is an "industry open standard designed to convey vulnerability severity and help to determine urgency and priority of response." IBM PROVIDES THE CVSS SCORES "AS IS" WITHOUT WARRANTY OF ANY KIND, INCLUDING THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. CUSTOMERS ARE RESPONSIBLE FOR ASSESSING THE IMPACT OF ANY ACTUAL OR POTENTIAL SECURITY VULNERABILITY.

Cross reference information
Segment Product Component Platform Version Edition
Commerce Emptoris Contract Management
Commerce Emptoris Program Management
Commerce Emptoris Services Procurement
Commerce Emptoris Spend Analysis

Document information

More support for: Emptoris Sourcing

Software version: Version Independent

Operating system(s): Platform Independent

Reference #: 2015421

Modified date: 13 April 2018


Translate this page: